<template>
    <div class="spreadsheet">
        <table>
            <thead>
                <tr>
                    <th class="apples-header">Apples</th>
                    <th class="oranges-header">Oranges</th>
                </tr>
            </thead>

            <tbody>
                <template for:each={internalFruitBasketOptions} for:item="fruitBasket" >
                    <tr key={fruitBasket.nApples} class={fruitBasket.selected} onclick={handleClick} data-n-apples={fruitBasket.nApples} data-n-oranges={fruitBasket.nOranges}>
                        <td class="apples-data">{fruitBasket.nApples}</td>
                        <td class="oranges-data">{fruitBasket.nOranges}</td>
                    </tr>
                </template>
            </tbody>
        </table>
    </div>
</template>